%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	HTTP-Server-Simple


Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	HTTP::Server::Simple - Lightweight HTTP server
Name:		perl-%{perlname}
Version:	0.27
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=HTTP+Server+Simple
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	cairo-devel

%description
This is a simple standalone HTTP server. By default, 
it doesn't thread or fork.
It does, however, act as a simple frontend which 
can be used to build a standalone web-based application 
or turn a CGI into one.
(It's possible to use Net::Server to get threading, 
forking, preforking and so on. Autrijus Tang wrote the 
functionality and owes docs for that ;)

By default, the server traps a few signals:

HUP
	When you kill -HUP the server, it does its best to 
	rexec itself. Please note that in order to provide 
	restart-on-SIGHUP, HTTP::Server::Simple sets a SIGHUP 
	handler during initialisation. If your request handling 
	code forks you need to make sure you reset this or 
	unexpected things will happen if somebody sends a 
	HUP to all running processes spawned by your app 
	(e.g. by "kill -HUP <script>")
PIPE
	If the server detects a broken pipe while writing output 
	to the client, it ignores the signal. Otherwise, a client 
	closing the connection early could kill the server

For more details see: http://search.cpan.org/search?module=HTTP+Server+Simple

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.27-3
- cleanup spec file
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.27-2
- Rebuild against new perl 5.10.0
* Mon Oct 08 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.27-1
- Initial Release
